@if (componentData$ | async; as componentData) {
  <sqtm-core-workspace-with-grid
    [licenseInformation]="referentialDataService.licenseInformation$ | async"
    [licenseBannerPlacement]="'WORKSPACES'"
    [isLoggedAsAdmin]="referentialDataService.isAdmin() | async"
    [workspaceTheme]="'automation-workspace'"
    [name]="'automation-tester-workspace'"
    [rootUrl]="[
      'automation-workspace',
      'functional-tester-workspace',
      'ready-for-transmission'
    ]"
    [entityIdPositionInUrl]="3"
  >
    <sqtm-core-nav-bar
      class="full-height"
      projection="navBar"
    ></sqtm-core-nav-bar>
    <div
      projection="grid"
      class="flex-column full-height full-width overflow-hidden p-r-10"
    >
      <div class="full-height full-width overflow-hidden flex-column">
        <sqtm-app-automation-workspace-header
          [helpI18NKey]="
            'sqtm-core.automation-workspace.functional-tester-view.ready-for-transmission.help'
          "
          [mainTitleI18NKey]="
            'sqtm-core.automation-workspace.functional-tester-view.title'
          "
          [tableNameI18NKey]="
            'sqtm-core.automation-workspace.functional-tester-view.ready-for-transmission.label'
          "
        >
          @if (shouldShowResetFilterLink(activeFilters$ | async)) {
            <div projection="reset-filter-button">
              <sqtm-core-reset-filters-link
                (resetFiltersLinkPressed)="resetFilters()"
              ></sqtm-core-reset-filters-link>
            </div>
          }
          <div
            projection="automation-button-action"
            class="flex-row flex-fixed-size font-20-px m-auto"
            [attr.data-test-toolbar-id]="'ready-to-transmit-toolbar'"
          >
            <sqtm-core-toggle-icon
              [attr.data-test-toolbar-button-id]="'transmit'"
              [active]="canEditRows$ | async"
              (clickedInActiveMode)="transmitSelection()"
            >
              <i
                nz-icon
                nzType="sqtm-core-automation:transmit"
                class="action-icon-size m-r-5"
                nzTooltipPlacement="topRight"
                nz-tooltip
                [nzTooltipTitle]="
                  'sqtm-core.automation-workspace.functional-tester-view.buttons.transmit'
                    | translate
                "
              ></i>
            </sqtm-core-toggle-icon>
          </div>
        </sqtm-app-automation-workspace-header>
        <div class="flex-row full-width full-height m-b-10">
          <sqtm-app-functional-tester-workspace-anchors></sqtm-app-functional-tester-workspace-anchors>
          <div
            class="full-height full-width overflow-hidden sqtm-large-grid-container p-10 m-l-10"
          >
            @if (componentData.nbReadyForTransmissionAutomReq > 0) {
              <sqtm-core-grid></sqtm-core-grid>
            } @else {
              <div>
                <span class="m-r-10" style="font-weight: bold">{{
                  'sqtm-core.automation-workspace.functional-tester-view.ready-for-transmission.none'
                    | translate
                }}</span>
                <button nz-button nzType="primary" [routerLink]="'../validate'">
                  {{
                    'sqtm-core.automation-workspace.functional-tester-view.to-be-validated.redirect-to-validate'
                      | translate
                  }}
                </button>
              </div>
            }
          </div>
        </div>
      </div>
    </div>
  </sqtm-core-workspace-with-grid>
}
